<?php
/**
 * @license MIT
 *
 * Modified by emberprice on 29-July-2026 using {@see https://github.com/BrianHenryIE/strauss}.
 */

declare(strict_types=1);

namespace EmberPrice\Vendor\ZipStream\Exception;

use EmberPrice\Vendor\ZipStream\Exception;

/**
 * This Exception gets invoked if a stream can't be read.
 *
 * @api
 */
class StreamNotReadableException extends Exception
{
    /**
     * @internal
     */
    public function __construct()
    {
        parent::__construct('The stream could not be read.');
    }
}
